# Uses of Record Class
jdk.net.UnixDomainPrincipal

Packages that use UnixDomainPrincipal
Package
Description
jdk.net
Platform specific socket options for the `java.net` and `java.nio.channels` socket classes.

## Uses of UnixDomainPrincipal in jdk.net

Fields in jdk.net with type parameters of type UnixDomainPrincipal
Modifier and Type
Field
Description
`static final SocketOption<UnixDomainPrincipal>`
ExtendedSocketOptions.`SO_PEERCRED`
Unix Domain peer credentials.